Groovy Documentation

## grails.converters
[Java] Class JSON.Builder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              grails.converters.JSON.Builder

    public class JSON.Builder
    extends groovy.util.BuilderSupport

Constructor Summary
`JSON.Builder(JSON json)`

Method Summary
`protected java.lang.Object` | `createNode(java.lang.Object name)`
`protected java.lang.Object` | `createNode(java.lang.Object key, java.util.Map valueMap)`
`protected java.lang.Object` | `createNode(java.lang.Object arg0, java.util.Map arg1, java.lang.Object arg2)`
`protected java.lang.Object` | `createNode(java.lang.Object key, java.lang.Object value)`
`void` | `execute(groovy.lang.Closure callable)`
`protected void` | `nodeCompleted(java.lang.Object parent, java.lang.Object node)`
`protected void` | `setParent(java.lang.Object arg0, java.lang.Object arg1)`

Methods inherited from class groovy.util.BuilderSupport

groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport

groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JSON.Builder

    public JSON.Builder(JSON json)

Method Detail

### createNode

    @Override
    protected java.lang.Object createNode(java.lang.Object name)

### createNode

    @SuppressWarnings("rawtypes")
    @Override
    protected java.lang.Object createNode(java.lang.Object key, java.util.Map valueMap)

### createNode

    @SuppressWarnings("rawtypes")
    @Override
    protected java.lang.Object createNode(java.lang.Object arg0, java.util.Map arg1, java.lang.Object arg2)

### createNode

    @SuppressWarnings("rawtypes")
    @Override
    protected java.lang.Object createNode(java.lang.Object key, java.lang.Object value)

### execute

    public void execute(groovy.lang.Closure callable)

### nodeCompleted

    @Override
    protected void nodeCompleted(java.lang.Object parent, java.lang.Object node)

### setParent

    @Override
    protected void setParent(java.lang.Object arg0, java.lang.Object arg1)

Groovy Documentation